#!/bin/sh

if [ -e "./~build" ]; then
    echo "Error! Directory ~build already exists!"
    exit
fi

if [ -n "$JAVA_HOME" ]; then
    JAVAC_PATH=$JAVA_HOME/bin/javac
    JAR_PATH=$JAVA_HOME/bin/jar
else
    JAVAC_PATH=javac
    JAR_PATH=jar
fi

mkdir "~build"
for i in `find . -type d | sed 's/~build.*//g'`; do mkdir "~build/"$i; done
find . -name '*.java' | xargs $JAVAC_PATH
for i in `find . -name '*.class'`; do mv $i "~build/"$i; done
for i in `find . -name '*.properties'`; do cp $i "~build/"$i; done
for i in `find . -name '*.gif'`; do cp $i "~build/"$i; done
for i in `cat 'include-in-distr'`; do cp $i "~build/"$i; done
cd "~build"
$JAR_PATH -cfe noadsunpacker.jar net.sourceforge.noadsunpacker.cli.CLIMain *
mv noadsunpacker.jar ..
cd ..
rm -r "~build"
