package net.sourceforge.noadsunpacker.core;

/**
 * ArhciveUnpackManager reports about the
 * unpacking process to classes implementing
 * this interface.
 *
 * @author Fedor Uvarov
 */
public interface ArchiveUnpackManagerReportReceiver {
public static final int UNPACK_SUCCESS = 1;
public static final int UNPACK_FAILED = 2;
public static final int UNPACK_ABORTED_BY_USER = 3;
public static final int ONE_PERCENT_UNPACKED = 4;
public static final int FILE_UNPACKED_SIZE_INCORRECT = 5;

public void report(int Report);
public void report(int Report, Exception e);
public void report(int Report, String FilePath);
public void reportUnpackingAbortedByUser();
public boolean verifyAbort();
public void reportTMFPUnpacked();
}
