package net.sourceforge.noadsunpacker.core;

/**
 * This is the class of exceptions thrown
 * by ArchiveUnpackManager when it fails to
 * initialise.
 *
 * @author Fedor Uvarov
 */
public class ArchiveUnpackManagerException extends Exception {
public static final int REASON_FILENOTFOUND = 1;
public static final int REASON_IOEXCEPTION = 2;
public static final int REASON_FORMATNOTSUPPORTED = 3;
public static final int REASON_CANNOTREAD = 4;
private int Reason;
private Throwable WrappedException;

public ArchiveUnpackManagerException(int Reason) {
    this.Reason = Reason;
    this.WrappedException = null;
}

public ArchiveUnpackManagerException(int Reason, Throwable WrappedException) {
    super(WrappedException);
    this.Reason = Reason;
    this.WrappedException = WrappedException;
}
}
